Open CASCADE Technology: BOPCol_NCVector< Type > Class Template Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BOPCol_NCVector< Type > Class Template Reference

`#include <BOPCol_NCVector.hxx>`

Inheritance diagram for BOPCol_NCVector< Type >:
[legend]

## Public Member Functions
| BOPCol_NCVector (const Standard_Integer theIncrement=256, const Handle< NCollection_BaseAllocator > &theAlloc=NULL)
| BOPCol_NCVector (const BOPCol_NCVector &theOther)
Type & | Append1 ()
Standard_Integer | Extent () const
Public Member Functions inherited from NCollection_Vector< Type >
iterator | begin () const
| Returns an iterator pointing to the first element in the vector. More...
iterator | end () const
| Returns an iterator referring to the past-the-end element in the vector. More...
const_iterator | cbegin () const
| Returns a const iterator pointing to the first element in the vector. More...
const_iterator | cend () const
| Returns a const iterator referring to the past-the-end element in the vector. More...
| NCollection_Vector (const Standard_Integer theIncrement=256, const Handle< NCollection_BaseAllocator > &theAlloc=NULL)
| Constructor. More...
| NCollection_Vector (const NCollection_Vector &theOther)
| Copy constructor. More...
| ~NCollection_Vector ()
| Destructor. More...
Standard_Integer | Length () const
| Total number of items. More...
Standard_Integer | Size () const
| Total number of items in the vector. More...
Standard_Integer | Lower () const
| Method for consistency with other collections. More...
Standard_Integer | Upper () const
| Method for consistency with other collections. More...
Standard_Boolean | IsEmpty () const
| Empty query. More...
void | Assign (const NCollection_Vector &theOther, const Standard_Boolean theOwnAllocator=Standard_True)
| Assignment to the collection of the same type. More...
NCollection_Vector & | operator= (const NCollection_Vector &theOther)
| Assignment operator. More...
Type & | Append (const Type &theValue)
| Append. More...
const Type & | operator() (const Standard_Integer theIndex) const
| Operator() - query the const value. More...
Type & | operator() (const Standard_Integer theIndex)
| Operator() - query the value. More...
const Type & | Value (const Standard_Integer theIndex) const
| Constructor. More...
const Type & | First () const
Type & | ChangeFirst ()
const Type & | Last () const
Type & | ChangeLast ()
Type & | ChangeValue (const Standard_Integer theIndex)
| Constructor. More...
Type & | SetValue (const Standard_Integer theIndex, const Type &theValue)
| SetValue () - set or append a value. More...
Public Member Functions inherited from NCollection_BaseVector
void | Clear ()
| Empty the vector of its objects. More...
void | SetIncrement (const Standard_Integer aIncrement)
| Empty the vector of its objects. More...

## Additional Inherited Members
Public Types inherited from NCollection_Vector< Type >
typedef Type | value_type
| STL-compliant typedef for value type. More...
typedef NCollection_StlIterator< std::random_access_iterator_tag, Iterator, Type, false > | iterator
| Shorthand for a regular iterator type. More...
typedef NCollection_StlIterator< std::random_access_iterator_tag, Iterator, Type, true > | const_iterator
| Shorthand for a constant iterator type. More...
Protected Types inherited from NCollection_BaseVector
typedef void(* | initMemBlocks_t) (NCollection_BaseVector &theVector, MemBlock &theBlock, const Standard_Integer theFirst, const Standard_Integer theSize)
| Allocate memory for array of memory blocks. More...
Protected Member Functions inherited from NCollection_BaseVector
| NCollection_BaseVector (const Handle< NCollection_BaseAllocator > &theAllocator, initMemBlocks_t theInitBlocks, const size_t theSize, const Standard_Integer theInc)
| Empty constructor. More...
| NCollection_BaseVector (const Handle< NCollection_BaseAllocator > &theAllocator, initMemBlocks_t theInitBlocks, const NCollection_BaseVector &theOther)
| Copy constructor. More...
void * | expandV (const Standard_Integer theIndex)
void * | findV (const Standard_Integer theIndex) const
| Locate the memory holding the desired value. More...
MemBlock * | allocMemBlocks (const Standard_Integer theCapacity, MemBlock *theSource=NULL, const Standard_Integer theSourceSize=0)
| Allocate memory for array of memory blocks. More...
Protected Attributes inherited from NCollection_BaseVector
Handle< NCollection_BaseAllocator > | myAllocator
size_t | myItemSize
Standard_Integer | myIncrement
Standard_Integer | myLength
Standard_Integer | myCapacity
Standard_Integer | myNBlocks
MemBlock * | myData
initMemBlocks_t | myInitBlocks

## Constructor & Destructor Documentation

template<class Type>

BOPCol_NCVector< Type >::BOPCol_NCVector | ( | const Standard_Integer | theIncrement = `256`,
|  | const Handle< NCollection_BaseAllocator > & | theAlloc = `NULL`
| ) |  |
| inline

template<class Type>

BOPCol_NCVector< Type >::BOPCol_NCVector | ( | const BOPCol_NCVector< Type > & | theOther | ) |
| inline

## Member Function Documentation

template<class Type>

Type& BOPCol_NCVector< Type >::Append1 | ( |  | ) |
| inline

template<class Type>

Standard_Integer BOPCol_NCVector< Type >::Extent | ( | void |  | ) | const
| inline

The documentation for this class was generated from the following file:

- BOPCol_NCVector.hxx